NewWacht Bench is live — AI-assisted development for Wacht

Get Webhook Delivery Details For App

GET
/webhooks/apps/{app_slug}/deliveries/{delivery_id}

Authorization

bearerAuth
AuthorizationBearer <token>

API key issued from the Wacht platform dashboard. Pass as a Bearer token: Authorization: Bearer <api_key>

In: header

Path Parameters

app_slug*string
delivery_id*string

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.wacht.dev/webhooks/apps/string/deliveries/string"
{
  "delivery_id": "string",
  "deployment_id": "string",
  "app_slug": "string",
  "endpoint_id": "string",
  "event_name": "string",
  "status": "string",
  "http_status_code": 0,
  "response_time_ms": 0,
  "attempt_number": 0,
  "max_attempts": 0,
  "payload": null,
  "response_body": "string",
  "response_headers": null,
  "timestamp": "2019-08-24T14:15:22Z"
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}